> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/fr/developper/notions-de-base/guides-pratiques/comment-obtenir-lhistorique-dun-portefeuille.md).

# Obtenir l'historique d'un portefeuille

## Qu'est-ce que l'historique d'un portefeuille ?

L'historique d'un portefeuille fait référence à l'enregistrement complet de toutes les transactions, y compris les crédits et les débits, associés à un portefeuille crypto.

## Comment le faire avec Moralis ?

Moralis dispose d'une API Wallet que vous pouvez utiliser, et ils fournissent même un exemple de code pour le cas d'utilisation de l'historique de portefeuille :

* [Obtenir l'historique du portefeuille](https://docs.moralis.io/web3-data-api/evm/reference/wallet-api/get-wallet-history)

Pour adapter leur exemple de code, remplacez la référence à Ethereum par leur ID pour Chiliz Chain, `0x15b38` :

```typescript
import Moralis from 'moralis';

try {
  await Moralis.start({
    apiKey: "YOUR_API_KEY"
  });

  const response = await Moralis.EvmApi.wallets.getWalletHistory({
    "chain": "0x15b38", // This is for Chiliz Chain Mainnet.
                        // For Spicy Testnet, use "0x15b32".
    "order": "DESC",
    "address": "0xYourWalletAddress"
  });

  console.log(response.raw);
} catch (e) {
  console.error(e);
}
```

## Comment le faire avec Tatum ?

Tatum dispose d'une API Data complète que vous pouvez utiliser, et ils fournissent même un exemple de code pour le cas d'utilisation de l'historique de portefeuille :

* [Obtenir toutes les transactions d'un portefeuille](https://docs.tatum.io/docs/get-all-transactions-on-the-wallet)

Pour adapter leur exemple de code, remplacez la référence à Ethereum par Chiliz Chain :

```typescript
// yarn add @tatumio/tatum
import {TatumSDK, Network, Chiliz, ResponseDto, AddressTransaction} from '@tatumio/tatum'

const tatum = await TatumSDK.init<Chiliz>({network: Network.CHILIZ})

const txs: ResponseDto<AddressTransaction[]> = await tatum.address.getTransactions({
  address: '0xYourWalletAddress', // replace with your address
})

console.log(txs.data)
```

## Comment le faire avec thirdweb ?

thirdweb propose plusieurs exemples de code courts sur leur site de documentation, que nous pouvons utiliser comme source d'inspiration.

Malheureusement, ils ne semblent pas avoir de fonctions spécifiques aux transactions, nous allons donc nous appuyer sur l'[API Chiliz Scan](https://scan.chiliz.com/api-docs).

```typescript
const { ThirdwebSDK } = require("@thirdweb-dev/sdk");
const axios = require("axios");

const sdk = new ThirdwebSDK("https://rpc.ankr.com/chiliz");
const walletAddress = "0xYourWalletAddress";

// ChilizScan API URL and your API key (required)
const CHILIZ_SCAN_API_URL = "https://api.chilizscan.com/api";
const API_KEY = "YourChilizScanAPIKey"; // Optional, if the API requires authentication

async function getTransactionHistory() {
  try {
    const response = await axios.get(`${CHILIZ_SCAN_API_URL}?module=account&action=txlist&address=${walletAddress}&apikey=${API_KEY}`);
    const transactions = response.data.result;

    console.log(`Transaction history of wallet ${walletAddress}:`, transactions);
  } catch (error) {
    console.error("Error fetching transaction history:", error);
  }
}

getTransactionHistory();
```

## Comment le faire avec Nodit ?

Nodit fournit l'exemple de code suivant [dans leur documentation](https://developer.nodit.io/reference/chiliz-gettransactionsbyaccount) :

```typescript
const url = 'https://web3.nodit.io/v1/chiliz/mainnet/blockchain/getTransactionsByAccount';
const options = {
  method: 'POST',
  headers: {
    accept: 'application/json',
    'content-type': 'application/json',
    'X-API-KEY': 'nodit-demo'
  },
  body: JSON.stringify({
    accountAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045',
    relation: 'both',
    fromDate: '2025-01-01T00:00:00+00:00',
    toDate: '2025-01-31T00:00:00+00:00',
    withCount: false,
    withLogs: false,
    withDecode: false
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/fr/developper/notions-de-base/guides-pratiques/comment-obtenir-lhistorique-dun-portefeuille.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
